summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoryhfudev2015-12-10 20:34:13 -0500
committeryhfudev2015-12-10 20:34:13 -0500
commit2ddf576b3e34c0d805c842dc330ad790773e8b6a (patch)
treea5feabbf8c2497931a66d8dfad5d44ad6dc863f4
downloadaur-2ddf576b3e34c0d805c842dc330ad790773e8b6a.tar.gz
init
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD26
2 files changed, 46 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..1cc868b7019
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+# Generated by mksrcinfo v8
+# Fri Dec 11 01:34:00 UTC 2015
+pkgbase = hippo-canvas
+ pkgdesc = The Hippo Canvas is a Cairo/GObject/GTK+ based canvas.
+ pkgver = 0.3.1
+ pkgrel = 2
+ url = http://live.gnome.org/HippoCanvas
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = pygtk
+ depends = librsvg>=2.16
+ depends = libcroco>=0.6.0
+ depends = gtk2>=2.6.0
+ optdepends = pygtk: Python Bindings
+ source = http://ftp.gnome.org/pub/gnome/sources/hippo-canvas/0.3/hippo-canvas-0.3.1.tar.bz2
+ md5sums = dc19b95faef7daceb3c827d490bff8c3
+
+pkgname = hippo-canvas
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..dd0487a4d99
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+# Maintainer : Yunhui Fu <yhfudev@gmail.com>
+# Contributor: Christophe Gueret <christophe.gueret@gmail.com>
+# Contributor: Cilyan Olowen <gaknar@gmail.com>
+# Contributor: Ryan Corder <ryanc@greengrey.org>
+# Contributor: M Rawash <mrawash@gmail.com>
+
+pkgname=hippo-canvas
+pkgver=0.3.1
+pkgrel=2
+pkgdesc="The Hippo Canvas is a Cairo/GObject/GTK+ based canvas."
+arch=(i686 x86_64)
+license=('GPL')
+url="http://live.gnome.org/HippoCanvas"
+depends=('librsvg>=2.16' 'libcroco>=0.6.0' 'gtk2>=2.6.0')
+makedepends=('pygtk')
+optdepends=('pygtk: Python Bindings')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/0.3/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('dc19b95faef7daceb3c827d490bff8c3')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ PYTHON=python2 CFLAGS="${CFLAGS} $(pkg-config --cflags --libs gmodule-2.0)" ./configure --prefix=/usr --enable-python || return 1
+ make || return 1
+ make DESTDIR=${pkgdir} install || return 1
+}
+